SPI_START_TRANSACTION(3)

NAME
SPI_start_transaction - start a new transaction

SYNOPSIS

void SPI_start_transaction(void)

DESCRIPTION

SPI_start_transaction starts a new transaction. It can only be called after SPI_commit or SPI_rollback, as there is no transaction active at that point. Normally, when an SPI-using procedure is called, there is already a transaction active, so attempting to start another one before closing out the current one will result in an error.

This function can only be executed if the SPI connection has been set as nonatomic in the call to SPI_connect_ext.